Index: GTP/trunk/Lib/Illum/IBRBillboardCloudTrees/OGRE/media/maple/leaves/mapleLeavesBillboardCloudSplitted.xml
===================================================================
--- GTP/trunk/Lib/Illum/IBRBillboardCloudTrees/OGRE/media/maple/leaves/mapleLeavesBillboardCloudSplitted.xml	(revision 936)
+++ GTP/trunk/Lib/Illum/IBRBillboardCloudTrees/OGRE/media/maple/leaves/mapleLeavesBillboardCloudSplitted.xml	(revision 958)
@@ -7,7 +7,7 @@
                 <topRight x="-16.0475" y="17.0907" z="-3.81745" />
                 <bottomRight x="-16.0475" y="12.606" z="2.23061" />
-                <bottomLeft x="14.0856" y="7.99489" z="-1.18861" />
+                <bottomLeft x="14.0856" y="7.99489" z="-1.1886" />
                 <axisX x="0" y="-0.59563" z="0.803259" />
-                <axisY x="-0.982333" y="0.150321" z="0.111466" />
+                <axisY x="-0.982334" y="0.150321" z="0.111466" />
                 <axisZ x="-0.187139" y="-0.789068" z="-0.585108" />
                 <leaves count="23">
@@ -38,12 +38,12 @@
             </billboard>
             <billboard>
-                <coord4d nx="-0.706632" ny="-0.669555" nz="-0.228839" d="3.93557" />
-                <topLeft x="0.0433838" y="10.5754" z="-13.8784" />
-                <topRight x="-14.8624" y="24.6612" z="-9.06415" />
+                <coord4d nx="-0.706632" ny="-0.669555" nz="-0.228838" d="3.93558" />
+                <topLeft x="0.0433824" y="10.5754" z="-13.8784" />
+                <topRight x="-14.8624" y="24.6612" z="-9.06417" />
                 <bottomRight x="-14.8624" y="19.3687" z="6.42096" />
-                <bottomLeft x="0.0433838" y="5.28295" z="1.60675" />
-                <axisX x="0" y="-0.32341" z="0.946259" />
-                <axisY x="-0.707581" y="0.668657" z="0.228532" />
-                <axisZ x="-0.706632" y="-0.669555" z="-0.228839" />
+                <bottomLeft x="0.0433824" y="5.28296" z="1.60677" />
+                <axisX x="0" y="-0.323409" z="0.946259" />
+                <axisY x="-0.707581" y="0.668657" z="0.228531" />
+                <axisZ x="-0.706632" y="-0.669555" z="-0.228838" />
                 <leaves count="95">
                     <leaf id="36" />
@@ -238,12 +238,12 @@
             </billboard>
             <billboard>
-                <coord4d nx="-0.888906" ny="-0.0226717" nz="0.457529" d="-6.8333" />
-                <topLeft x="0.0868043" y="12.467" z="15.7216" />
-                <topRight x="-5.66165" y="13.0191" z="4.58067" />
+                <coord4d nx="-0.888906" ny="-0.022671" nz="0.457529" d="-6.83331" />
+                <topLeft x="0.0868033" y="12.467" z="15.7216" />
+                <topRight x="-5.66165" y="13.0191" z="4.58068" />
                 <bottomRight x="-5.66165" y="25.0052" z="5.17461" />
-                <bottomLeft x="0.0868042" y="24.4532" z="16.3156" />
-                <axisX x="0" y="0.998775" z="0.0494918" />
-                <axisY x="-0.45809" y="0.0439936" z="-0.887816" />
-                <axisZ x="-0.888906" y="-0.0226717" z="0.457529" />
+                <bottomLeft x="0.0868049" y="24.4532" z="16.3156" />
+                <axisX x="0" y="0.998775" z="0.0494902" />
+                <axisY x="-0.45809" y="0.0439921" z="-0.887816" />
+                <axisZ x="-0.888906" y="-0.022671" z="0.457529" />
                 <leaves count="61">
                     <leaf id="149" />
@@ -386,6 +386,6 @@
             </billboard>
             <billboard>
-                <coord4d nx="-0.428526" ny="0.834475" nz="-0.346435" d="-11.1876" />
-                <topLeft x="7.0792" y="21.0306" z="9.60719" />
+                <coord4d nx="-0.428527" ny="0.834475" nz="-0.346435" d="-11.1876" />
+                <topLeft x="7.07921" y="21.0306" z="9.60719" />
                 <topRight x="-4.52034" y="15.9496" z="11.7166" />
                 <bottomRight x="-4.52035" y="9.87212" z="-2.92253" />
@@ -393,5 +393,5 @@
                 <axisX x="0" y="-0.383424" z="-0.923572" />
                 <axisY x="-0.903529" y="-0.395775" z="0.164308" />
-                <axisZ x="-0.428526" y="0.834475" z="-0.346435" />
+                <axisZ x="-0.428527" y="0.834475" z="-0.346435" />
                 <leaves count="23">
                     <leaf id="527" />
@@ -421,9 +421,9 @@
             </billboard>
             <billboard>
-                <coord4d nx="-0.320004" ny="0.647056" nz="-0.692038" d="-9.92903" />
+                <coord4d nx="-0.320004" ny="0.647056" nz="-0.692038" d="-9.92907" />
                 <topLeft x="10.5812" y="25.8151" z="4.89669" />
                 <topRight x="-14.301" y="20.0752" z="11.0356" />
-                <bottomRight x="-14.301" y="0.501318" z="-7.26595" />
-                <bottomLeft x="10.5812" y="6.24121" z="-13.4049" />
+                <bottomRight x="-14.301" y="0.501317" z="-7.26595" />
+                <bottomLeft x="10.5812" y="6.24122" z="-13.4049" />
                 <axisX x="0" y="-0.730447" z="-0.682969" />
                 <axisY x="-0.947416" y="-0.218553" z="0.233746" />
@@ -759,5 +759,5 @@
             <billboard>
                 <coord4d nx="-0.640355" ny="0.403061" nz="-0.653825" d="-5.79608" />
-                <topLeft x="8.11585" y="27.733" z="0.282885" />
+                <topLeft x="8.11585" y="27.733" z="0.282886" />
                 <topRight x="-11.2965" y="19.24" z="14.0597" />
                 <bottomRight x="-11.2965" y="-1.15197" z="1.4887" />
@@ -895,12 +895,12 @@
             </billboard>
             <billboard>
-                <coord4d nx="0.559628" ny="0.649712" nz="0.514481" d="-12.7534" />
-                <topLeft x="9.69179" y="9.355" z="2.43266" />
-                <topRight x="8.10873" y="10.1931" z="3.09629" />
-                <bottomRight x="8.10873" y="10.9702" z="2.11491" />
-                <bottomLeft x="9.69179" y="10.1321" z="1.45128" />
-                <axisX x="0" y="0.620797" z="-0.783972" />
-                <axisY x="-0.828744" y="0.438733" z="0.347415" />
-                <axisZ x="0.559628" y="0.649712" z="0.514481" />
+                <coord4d nx="0.559627" ny="0.649708" nz="0.514487" d="-12.7534" />
+                <topLeft x="9.69179" y="9.35501" z="2.43264" />
+                <topRight x="8.10873" y="10.1931" z="3.09628" />
+                <bottomRight x="8.10873" y="10.9702" z="2.11492" />
+                <bottomLeft x="9.69179" y="10.1321" z="1.45129" />
+                <axisX x="0" y="0.620803" z="-0.783967" />
+                <axisY x="-0.828745" y="0.438729" z="0.347418" />
+                <axisZ x="0.559627" y="0.649708" z="0.514487" />
                 <leaves count="3">
                     <leaf id="2689" />
@@ -1267,8 +1267,8 @@
                 <topLeft x="12.9505" y="14.0467" z="-17.1557" />
                 <topRight x="-17.6467" y="21.8162" z="-11.2588" />
-                <bottomRight x="-17.6467" y="5.85569" z="9.77021" />
-                <bottomLeft x="12.9505" y="-1.91379" z="3.87338" />
-                <axisX x="0" y="-0.604565" z="0.796556" />
-                <axisY x="-0.952761" y="0.241932" z="0.18362" />
+                <bottomRight x="-17.6467" y="5.85568" z="9.77021" />
+                <bottomLeft x="12.9505" y="-1.91379" z="3.87337" />
+                <axisX x="0" y="-0.604566" z="0.796555" />
+                <axisY x="-0.95276" y="0.241932" z="0.18362" />
                 <axisZ x="-0.303723" y="-0.758927" z="-0.576006" />
                 <leaves count="301">
@@ -1581,5 +1581,5 @@
                 <topRight x="-11.2433" y="25.4952" z="6.22351" />
                 <bottomRight x="-11.2433" y="3.56687" z="12.132" />
-                <bottomLeft x="13.822" y="-0.384869" z="-2.53404" />
+                <bottomLeft x="13.822" y="-0.38487" z="-2.53404" />
                 <axisX x="0" y="-0.965563" z="0.260169" />
                 <axisY x="-0.855227" y="0.134833" z="0.500406" />
@@ -1681,5 +1681,5 @@
                 <bottomLeft x="9.73243" y="26.619" z="-2.48966" />
                 <axisX x="0" y="0.913842" z="-0.40607" />
-                <axisY x="-0.987911" y="-0.0629487" z="-0.141663" />
+                <axisY x="-0.987911" y="-0.0629488" z="-0.141663" />
                 <axisZ x="-0.155019" y="0.401162" z="0.902795" />
                 <leaves count="71">
@@ -1760,6 +1760,6 @@
                 <coord4d nx="-0.564043" ny="-0.788217" nz="0.246109" d="10.3191" />
                 <topLeft x="7.3647" y="4.68443" z="-10.0472" />
-                <topRight x="0.101653" y="9.42013" z="-11.5259" />
-                <bottomRight x="0.101656" y="16.3029" z="10.5178" />
+                <topRight x="0.101652" y="9.42013" z="-11.5259" />
+                <bottomRight x="0.101655" y="16.3029" z="10.5178" />
                 <bottomLeft x="7.3647" y="11.5672" z="11.9964" />
                 <axisX x="0" y="0.298045" z="0.954552" />
@@ -1854,12 +1854,12 @@
             </billboard>
             <billboard>
-                <coord4d nx="-0.0901355" ny="0.660994" nz="-0.744958" d="-1.75872" />
+                <coord4d nx="-0.0901346" ny="0.660995" nz="-0.744957" d="-1.75874" />
                 <topLeft x="9.16455" y="18.2089" z="12.6869" />
-                <topRight x="-5.7993" y="17.31" z="13.6999" />
-                <bottomRight x="-5.79931" y="8.65355" z="6.01906" />
-                <bottomLeft x="9.16454" y="9.55238" z="5.00605" />
-                <axisX x="0" y="-0.748003" z="-0.663696" />
-                <axisY x="-0.99593" y="-0.0598225" z="0.0674216" />
-                <axisZ x="-0.0901355" y="0.660994" z="-0.744958" />
+                <topRight x="-5.79931" y="17.31" z="13.6999" />
+                <bottomRight x="-5.79931" y="8.65356" z="6.01905" />
+                <bottomLeft x="9.16455" y="9.55238" z="5.00605" />
+                <axisX x="0" y="-0.748002" z="-0.663696" />
+                <axisY x="-0.99593" y="-0.059822" z="0.0674208" />
+                <axisZ x="-0.0901346" y="0.660995" z="-0.744957" />
                 <leaves count="18">
                     <leaf id="1125" />
@@ -1884,5 +1884,5 @@
             </billboard>
             <billboard>
-                <coord4d nx="0.371945" ny="-0.41051" nz="-0.832549" d="3.74798" />
+                <coord4d nx="0.371945" ny="-0.41051" nz="-0.832549" d="3.74799" />
                 <topLeft x="-2.00082" y="24.1244" z="-8.28722" />
                 <topRight x="-16.8749" y="21.4887" z="-13.6327" />
@@ -1927,5 +1927,5 @@
                 <bottomRight x="-11.4078" y="22.6325" z="-1.34189" />
                 <bottomLeft x="-3.23354" y="11.0619" z="11.683" />
-                <axisX x="0" y="-0.747611" z="-0.664136" />
+                <axisX x="0" y="-0.747611" z="-0.664137" />
                 <axisY x="-0.424763" y="0.601246" z="-0.676816" />
                 <axisZ x="0.905305" y="0.282101" z="-0.317558" />
@@ -1978,5 +1978,5 @@
                 <topRight x="-18.3874" y="24.1527" z="3.41986" />
                 <bottomRight x="-18.3874" y="5.11662" z="-12.3115" />
-                <bottomLeft x="7.33816" y="7.58764" z="-15.3016" />
+                <bottomLeft x="7.33816" y="7.58765" z="-15.3016" />
                 <axisX x="0" y="-0.770845" z="-0.637022" />
                 <axisY x="-0.988822" y="-0.0949797" z="0.114933" />
@@ -2248,12 +2248,12 @@
             </billboard>
             <billboard>
-                <coord4d nx="0.618388" ny="0.601507" nz="0.505753" d="-9.30001" />
-                <topLeft x="14.1623" y="-2.49172" z="4.03563" />
-                <topRight x="-2.31833" y="7.43417" z="12.3814" />
+                <coord4d nx="0.618388" ny="0.601506" nz="0.505753" d="-9.30001" />
+                <topLeft x="14.1623" y="-2.49172" z="4.03562" />
+                <topRight x="-2.31832" y="7.43417" z="12.3814" />
                 <bottomRight x="-2.31832" y="16.4437" z="1.66616" />
                 <bottomLeft x="14.1623" y="6.51778" z="-6.67963" />
                 <axisX x="0" y="0.643556" z="-0.765399" />
                 <axisY x="-0.785873" y="0.473314" z="0.397967" />
-                <axisZ x="0.618388" y="0.601507" z="0.505753" />
+                <axisZ x="0.618388" y="0.601506" z="0.505753" />
                 <leaves count="84">
                     <leaf id="2669" />
@@ -2349,5 +2349,5 @@
                 <bottomRight x="-4.00175" y="17.1653" z="-2.27852" />
                 <bottomLeft x="6.66341" y="17.2221" z="-2.17261" />
-                <axisX x="0" y="-0.881091" z="0.472947" />
+                <axisX x="0" y="-0.881091" z="0.472948" />
                 <axisY x="-0.999937" y="-0.00532973" z="-0.00992917" />
                 <axisZ x="0.0112692" y="-0.472917" z="-0.881035" />
@@ -2362,7 +2362,7 @@
                 <topRight x="4.17272" y="12.0109" z="1.14761" />
                 <bottomRight x="4.17272" y="5.83906" z="-9.50171" />
-                <bottomLeft x="13.523" y="0.88905" z="-6.63294" />
+                <bottomLeft x="13.523" y="0.88905" z="-6.63295" />
                 <axisX x="0" y="-0.501426" z="-0.865201" />
-                <axisY x="-0.852992" y="0.45157" z="-0.261706" />
+                <axisY x="-0.852992" y="0.45157" z="-0.261707" />
                 <axisZ x="0.521925" y="0.738009" z="-0.427712" />
                 <leaves count="29">
@@ -2459,6 +2459,6 @@
             </billboard>
             <billboard>
-                <coord4d nx="0.521456" ny="-0.590915" nz="-0.615551" d="13.825" />
-                <topLeft x="3.25196" y="29.6218" z="-3.22185" />
+                <coord4d nx="0.521456" ny="-0.590915" nz="-0.615552" d="13.825" />
+                <topLeft x="3.25197" y="29.6218" z="-3.22185" />
                 <topRight x="-19.887" y="19.8291" z="-13.4229" />
                 <bottomRight x="-19.887" y="0.336014" z="5.29" />
@@ -2466,5 +2466,5 @@
                 <axisX x="0" y="-0.721396" z="0.692523" />
                 <axisY x="-0.853278" y="-0.36112" z="-0.376176" />
-                <axisZ x="0.521456" y="-0.590915" z="-0.615551" />
+                <axisZ x="0.521456" y="-0.590915" z="-0.615552" />
                 <leaves count="299">
                     <leaf id="2" />
@@ -2774,5 +2774,5 @@
                 <topRight x="-14.9548" y="23.8501" z="-10.9029" />
                 <bottomRight x="-14.9548" y="19.5305" z="16.5727" />
-                <bottomLeft x="3.68925" y="-0.47859" z="13.427" />
+                <bottomLeft x="3.68925" y="-0.478588" z="13.427" />
                 <axisX x="0" y="-0.155308" z="0.987866" />
                 <axisY x="-0.677244" y="0.726831" z="0.114269" />
@@ -3195,12 +3195,12 @@
             </billboard>
             <billboard>
-                <coord4d nx="-0.777166" ny="-0.378285" nz="-0.502905" d="10.1107" />
-                <topLeft x="-1.90006" y="17.2266" z="10.083" />
-                <topRight x="-4.74959" y="19.3421" z="12.8953" />
-                <bottomRight x="-4.74959" y="14.6214" z="16.4462" />
-                <bottomLeft x="-1.90006" y="12.506" z="13.6339" />
-                <axisX x="0" y="-0.799156" z="0.601124" />
-                <axisY x="-0.629296" y="0.467173" z="0.621076" />
-                <axisZ x="-0.777166" y="-0.378285" z="-0.502905" />
+                <coord4d nx="-0.77716" ny="-0.378293" nz="-0.502909" d="10.1109" />
+                <topLeft x="-1.90003" y="17.2266" z="10.083" />
+                <topRight x="-4.74961" y="19.342" z="12.8953" />
+                <bottomRight x="-4.74961" y="14.6214" z="16.4462" />
+                <bottomLeft x="-1.90003" y="12.506" z="13.6339" />
+                <axisX x="0" y="-0.799151" z="0.60113" />
+                <axisY x="-0.629303" y="0.467174" z="0.621068" />
+                <axisZ x="-0.77716" y="-0.378293" z="-0.502909" />
                 <leaves count="9">
                     <leaf id="1098" />
@@ -3221,5 +3221,5 @@
                 <bottomRight x="-2.73369" y="18.1405" z="13.9547" />
                 <bottomLeft x="3.02716" y="12.0586" z="15.3444" />
-                <axisX x="0" y="0.222764" z="0.974873" />
+                <axisX x="0" y="0.222764" z="0.974872" />
                 <axisY x="-0.678408" y="0.716224" z="-0.163661" />
                 <axisZ x="-0.734685" y="-0.661362" z="0.151125" />
@@ -3260,6 +3260,6 @@
             <billboard>
                 <coord4d nx="0.251205" ny="0.965338" nz="-0.0708359" d="-11.2237" />
-                <topLeft x="13.9256" y="8.17076" z="2.28706" />
-                <topRight x="-7.16751" y="13.6303" z="1.88645" />
+                <topLeft x="13.9256" y="8.17077" z="2.28706" />
+                <topRight x="-7.1675" y="13.6303" z="1.88645" />
                 <bottomRight x="-7.1675" y="12.4937" z="-13.6039" />
                 <bottomLeft x="13.9256" y="7.0341" z="-13.2033" />
@@ -3724,5 +3724,5 @@
             </billboard>
             <billboard>
-                <coord4d nx="-0.524834" ny="-0.844211" nz="-0.108887" d="14.0363" />
+                <coord4d nx="-0.524834" ny="-0.844212" nz="-0.108887" d="14.0363" />
                 <topLeft x="11.2182" y="9.39079" z="2.02813" />
                 <topRight x="-3.31043" y="18.2752" z="3.17405" />
@@ -3731,5 +3731,5 @@
                 <axisX x="0" y="-0.127922" z="0.991784" />
                 <axisY x="-0.851205" y="0.520522" z="0.0671376" />
-                <axisZ x="-0.524834" y="-0.844211" z="-0.108887" />
+                <axisZ x="-0.524834" y="-0.844212" z="-0.108887" />
                 <leaves count="35">
                     <leaf id="1083" />
@@ -3771,12 +3771,12 @@
             </billboard>
             <billboard>
-                <coord4d nx="-0.872601" ny="0.476276" nz="-0.108297" d="-10.0636" />
-                <topLeft x="-5.00554" y="10.5822" z="-6.05484" />
+                <coord4d nx="-0.872601" ny="0.476277" nz="-0.108297" d="-10.0636" />
+                <topLeft x="-5.00553" y="10.5822" z="-6.05485" />
                 <topRight x="-7.91319" y="5.51686" z="-4.90308" />
                 <bottomRight x="-7.91319" y="4.19372" z="-10.7221" />
-                <bottomLeft x="-5.00554" y="9.25904" z="-11.8739" />
-                <axisX x="0" y="-0.221722" z="-0.97511" />
-                <axisY x="-0.488434" y="-0.850882" z="0.193475" />
-                <axisZ x="-0.872601" y="0.476276" z="-0.108297" />
+                <bottomLeft x="-5.00553" y="9.25903" z="-11.8738" />
+                <axisX x="0" y="-0.221724" z="-0.97511" />
+                <axisY x="-0.488434" y="-0.850881" z="0.193476" />
+                <axisZ x="-0.872601" y="0.476277" z="-0.108297" />
                 <leaves count="6">
                     <leaf id="3117" />
@@ -3789,12 +3789,12 @@
             </billboard>
             <billboard>
-                <coord4d nx="0.263033" ny="-0.900621" nz="-0.34597" d="16.6917" />
+                <coord4d nx="0.263033" ny="-0.900621" nz="-0.345969" d="16.6917" />
                 <topLeft x="-4.0812" y="19.4021" z="-5.36382" />
-                <topRight x="-18.7926" y="15.6581" z="-6.80208" />
-                <bottomRight x="-18.7926" y="9.82363" z="8.38595" />
+                <topRight x="-18.7926" y="15.658" z="-6.80209" />
+                <bottomRight x="-18.7926" y="9.82364" z="8.38596" />
                 <bottomLeft x="-4.0812" y="13.5677" z="9.82422" />
-                <axisX x="0" y="-0.358597" z="0.933492" />
-                <axisY x="-0.964787" y="-0.245539" z="-0.094323" />
-                <axisZ x="0.263033" y="-0.900621" z="-0.34597" />
+                <axisX x="0" y="-0.358597" z="0.933493" />
+                <axisY x="-0.964787" y="-0.245539" z="-0.0943227" />
+                <axisZ x="0.263033" y="-0.900621" z="-0.345969" />
                 <leaves count="6">
                     <leaf id="411" />
@@ -3812,6 +3812,6 @@
                 <bottomRight x="-4.37174" y="7.88759" z="1.86773" />
                 <bottomLeft x="11.363" y="8.07257" z="1.71294" />
-                <axisX x="0" y="-0.641749" z="-0.766915" />
-                <axisY x="-0.999883" y="-0.011755" z="0.00983646" />
+                <axisX x="0" y="-0.641748" z="-0.766915" />
+                <axisY x="-0.999883" y="-0.0117549" z="0.00983644" />
                 <axisZ x="-0.0153276" y="0.766825" z="-0.641673" />
                 <leaves count="33">
@@ -3858,5 +3858,5 @@
                 <bottomLeft x="2.00216" y="18.2197" z="-16.3781" />
                 <axisX x="0" y="-0.334413" z="-0.942427" />
-                <axisY x="-0.518641" y="-0.805768" z="0.28592" />
+                <axisY x="-0.51864" y="-0.805768" z="0.28592" />
                 <axisZ x="-0.854992" y="0.488781" z="-0.17344" />
                 <leaves count="92">
@@ -3958,8 +3958,8 @@
                 <coord4d nx="0.786979" ny="-0.107377" nz="0.607565" d="2.91378" />
                 <topLeft x="-6.71512" y="2.29273" z="4.30747" />
-                <topRight x="-11.4023" y="1.25223" z="10.1948" />
+                <topRight x="-11.4023" y="1.25223" z="10.1949" />
                 <bottomRight x="-11.4023" y="8.45398" z="11.4676" />
-                <bottomLeft x="-6.71512" y="9.49448" z="5.58027" />
-                <axisX x="0" y="0.984739" z="0.174037" />
+                <bottomLeft x="-6.71512" y="9.49447" z="5.58026" />
+                <axisX x="0" y="0.984739" z="0.174036" />
                 <axisY x="-0.61698" y="-0.136963" z="0.774969" />
                 <axisZ x="0.786979" y="-0.107377" z="0.607565" />
@@ -3996,12 +3996,12 @@
             </billboard>
             <billboard>
-                <coord4d nx="0.639345" ny="0.701277" nz="-0.315356" d="-7.13052" />
-                <topLeft x="0.466688" y="16.3584" z="14.7124" />
+                <coord4d nx="0.639345" ny="0.701276" nz="-0.315357" d="-7.1305" />
+                <topLeft x="0.466691" y="16.3584" z="14.7124" />
                 <topRight x="-12.6534" y="26.3079" z="10.2382" />
-                <bottomRight x="-12.6534" y="20.7707" z="-2.07515" />
-                <bottomLeft x="0.466688" y="10.8212" z="2.399" />
-                <axisX x="0" y="-0.410128" z="-0.912028" />
-                <axisY x="-0.76892" y="0.5831" z="-0.262213" />
-                <axisZ x="0.639345" y="0.701277" z="-0.315356" />
+                <bottomRight x="-12.6534" y="20.7707" z="-2.07516" />
+                <bottomLeft x="0.466691" y="10.8212" z="2.39902" />
+                <axisX x="0" y="-0.410129" z="-0.912027" />
+                <axisY x="-0.76892" y="0.5831" z="-0.262214" />
+                <axisZ x="0.639345" y="0.701276" z="-0.315357" />
                 <leaves count="11">
                     <leaf id="103" />
@@ -4025,5 +4025,5 @@
                 <bottomLeft x="-14.2311" y="19.5654" z="0.58594" />
                 <axisX x="0" y="0.459715" z="-0.888067" />
-                <axisY x="-0.455845" y="0.790432" z="0.409173" />
+                <axisY x="-0.455846" y="0.790432" z="0.409173" />
                 <axisZ x="0.890059" y="0.404821" z="0.209559" />
                 <leaves count="4">
@@ -4066,12 +4066,12 @@
             </billboard>
             <billboard>
-                <coord4d nx="-0.577101" ny="0.746646" nz="0.33087" d="-16.2276" />
-                <topLeft x="-4.17257" y="20.0076" z="-3.38189" />
-                <topRight x="-16.5092" y="12.0374" z="-6.91378" />
-                <bottomRight x="-16.5092" y="14.7948" z="-13.1361" />
+                <coord4d nx="-0.577101" ny="0.746645" nz="0.330872" d="-16.2276" />
+                <topLeft x="-4.17257" y="20.0075" z="-3.38188" />
+                <topRight x="-16.5092" y="12.0374" z="-6.91379" />
+                <bottomRight x="-16.5092" y="14.7948" z="-13.1362" />
                 <bottomLeft x="-4.17257" y="22.7649" z="-9.60425" />
-                <axisX x="0" y="0.405144" z="-0.914253" />
-                <axisY x="-0.816673" y="-0.527616" z="-0.233809" />
-                <axisZ x="-0.577101" y="0.746646" z="0.33087" />
+                <axisX x="0" y="0.405146" z="-0.914252" />
+                <axisY x="-0.816673" y="-0.527615" z="-0.23381" />
+                <axisZ x="-0.577101" y="0.746645" z="0.330872" />
                 <leaves count="11">
                     <leaf id="70" />