Index: GTP/trunk/Lib/Illum/IBRBillboardCloudTrees/OGRE/scripts/IBRBillboardCloudTreeGenerator.sln
===================================================================
--- GTP/trunk/Lib/Illum/IBRBillboardCloudTrees/OGRE/scripts/IBRBillboardCloudTreeGenerator.sln	(revision 698)
+++ GTP/trunk/Lib/Illum/IBRBillboardCloudTrees/OGRE/scripts/IBRBillboardCloudTreeGenerator.sln	(revision 962)
@@ -24,5 +24,5 @@
 	EndGlobalSection
 	GlobalSection(SolutionItems) = postSolution
-		..\Readme.txt = ..\Readme.txt
+		..\..\Readme.txt = ..\..\Readme.txt
 	EndGlobalSection
 	GlobalSection(ExtensibilityGlobals) = postSolution
Index: GTP/trunk/Lib/Illum/IBRBillboardCloudTrees/OGRE/scripts/IBRBillboardCloudTreeGenerator.vcproj
===================================================================
--- GTP/trunk/Lib/Illum/IBRBillboardCloudTrees/OGRE/scripts/IBRBillboardCloudTreeGenerator.vcproj	(revision 958)
+++ GTP/trunk/Lib/Illum/IBRBillboardCloudTrees/OGRE/scripts/IBRBillboardCloudTreeGenerator.vcproj	(revision 962)
@@ -22,5 +22,5 @@
 				AdditionalOptions="/D &quot;TIXML_USE_STL&quot; /D &quot;OBA_LIB_BUILD&quot;  /D &quot;IMG_LIB_BUILD&quot;"
 				Optimization="0"
-				AdditionalIncludeDirectories="../../../../../../../OGRE/trunk/ogrenew/OgreMain/include;../../../../../../../OGRE/trunk/ogrenew/Samples/Common/include;../../../../../../../OGRE/trunk/ogrenew/Tools/XMLConverter/include;../include/IMG;../include/BBC;../include/LBBC;../include/OBA;../../../../../../../NonGTP\Boost;../../../../../../../NonGTP\ImageDebugger\include;../../../../../../../NonGTP\FCollada\FUtils;../../../../../../../NonGTP\FCollada;../../../../../../../NonGTP\FCollada\FMath;../../../../../../../NonGTP\FCollada\FCDocument"
+				AdditionalIncludeDirectories="../../../../../../../OGRE/trunk/ogrenew/OgreMain/include;../../../../../../../OGRE/trunk/ogrenew/Samples/Common/include;../../../../../../../OGRE/trunk/ogrenew/Tools/XMLConverter/include;../include/IMG;../include/BBC;../include/LBBC;../include/OBA;../../../../../../../NonGTP\Boost;../../../../../../../NonGTP\ImageDebugger\include;../../../../../../../NonGTP\FCollada\FUtils;../../../../../../../NonGTP\FCollada;../../../../../../../NonGTP\FCollada\FMath;../../../../../../../NonGTP\FCollada\FCDocument;../../../../../../../NonGTP\OSceneLoader\include"
 				PreprocessorDefinitions="WIN32;_DEBUG;_USRDLL;_MT"
 				MinimalRebuild="TRUE"
@@ -81,5 +81,5 @@
 				Name="VCCLCompilerTool"
 				AdditionalOptions="/D &quot;TIXML_USE_STL&quot; /D &quot;TIXML_USE_STL&quot; /D &quot;OBA_LIB_BUILD&quot;  /D &quot;IMG_LIB_BUILD&quot;"
-				AdditionalIncludeDirectories="../../../../../../../OGRE/trunk/ogrenew/OgreMain/include;../../../../../../../OGRE/trunk/ogrenew/Samples/Common/include;../../../../../../../OGRE/trunk/ogrenew/Tools/XMLConverter/include;../include/IMG;../include/BBC;../include/LBBC;../include/OBA;../../../../../../../NonGTP\Boost;../../../../../../../NonGTP\ImageDebugger\include;../../../../../../../NonGTP\FCollada;../../../../../../../NonGTP\FCollada\FUtils;../../../../../../../NonGTP\FCollada\FMath;../../../../../../../NonGTP\FCollada\FCDocument"
+				AdditionalIncludeDirectories="../../../../../../../OGRE/trunk/ogrenew/OgreMain/include;../../../../../../../OGRE/trunk/ogrenew/Samples/Common/include;../../../../../../../OGRE/trunk/ogrenew/Tools/XMLConverter/include;../include/IMG;../include/BBC;../include/LBBC;../include/OBA;../../../../../../../NonGTP\Boost;../../../../../../../NonGTP\ImageDebugger\include;../../../../../../../NonGTP\FCollada;../../../../../../../NonGTP\FCollada\FUtils;../../../../../../../NonGTP\FCollada\FMath;../../../../../../../NonGTP\FCollada\FCDocument;../../../../../../../NonGTP\OSceneLoader\include"
 				PreprocessorDefinitions="WIN32;NDEBUG;_LIB"
 				RuntimeLibrary="2"
@@ -134,4 +134,7 @@
 			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}">
 			<File
+				RelativePath="..\..\..\..\..\..\..\NonGTP\OSceneLoader\src\OgreOSMScene.cpp">
+			</File>
+			<File
 				RelativePath="..\..\..\..\..\..\..\Ogre\trunk\ogrenew\Tools\XMLConverter\src\OgreXMLMeshSerializer.cpp">
 			</File>
@@ -234,4 +237,7 @@
 				</File>
 				<File
+					RelativePath="..\src\LBBCDiffuseColorPointClusterGenerator.cpp">
+				</File>
+				<File
 					RelativePath="..\src\LBBCEntityTextureAtlasViewMode.cpp">
 				</File>
@@ -275,4 +281,7 @@
 					RelativePath="..\src\LBBCSampleConfigFile.cpp">
 				</File>
+				<File
+					RelativePath="..\src\LBBCSceneViewMode.cpp">
+				</File>
 			</Filter>
 			<Filter
@@ -323,7 +332,4 @@
 				<File
 					RelativePath="..\src\OBAOgreFrameListenerMode.cpp">
-				</File>
-				<File
-					RelativePath="..\include\Oba\OgrePlatform.h">
 				</File>
 			</Filter>
@@ -334,4 +340,7 @@
 			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}">
 			<File
+				RelativePath="..\..\..\..\..\..\..\NonGTP\OSceneLoader\include\OgreOSMScene.h">
+			</File>
+			<File
 				RelativePath="..\..\..\..\..\..\..\Ogre\trunk\ogrenew\Tools\XMLConverter\include\OgreXMLMeshSerializer.h">
 			</File>
@@ -446,4 +455,7 @@
 				</File>
 				<File
+					RelativePath="..\include\Lbbc\LBBCDiffuseColorPointClusterGenerator.h">
+				</File>
+				<File
 					RelativePath="..\include\Lbbc\LBBCEntityTextureAtlasViewMode.h">
 				</File>
@@ -489,4 +501,7 @@
 				<File
 					RelativePath="..\include\Lbbc\LBBCSampleConfigFile.h">
+				</File>
+				<File
+					RelativePath="..\include\Lbbc\LBBCSceneViewMode.h">
 				</File>
 			</Filter>
Index: GTP/trunk/Lib/Illum/IBRBillboardCloudTrees/OGRE/scripts/IBRBillboardCloudTreeGeneratorCommandLine.vcproj
===================================================================
--- GTP/trunk/Lib/Illum/IBRBillboardCloudTrees/OGRE/scripts/IBRBillboardCloudTreeGeneratorCommandLine.vcproj	(revision 950)
+++ GTP/trunk/Lib/Illum/IBRBillboardCloudTrees/OGRE/scripts/IBRBillboardCloudTreeGeneratorCommandLine.vcproj	(revision 962)
@@ -20,5 +20,5 @@
 				Name="VCCLCompilerTool"
 				Optimization="0"
-				AdditionalIncludeDirectories="../include;../include/BBC;../include/IMG;../include/OBA;../include/LBBC;../../../../../../../OGRE/trunk/ogrenew/OgreMain/include;../../../../../../../OGRE/trunk/ogrenew/Tools/XMLConverter/include;../../../../../../../NonGTP/Boost;../../../../../../../NonGTP/ImageDebugger\include;../../../../../../../NonGTP\FCollada\FUtils;../../../../../../../NonGTP\FCollada\;../../../../../../../NonGTP\FCollada\FMath;../../../../../../../NonGTP\FCollada\FCDocument"
+				AdditionalIncludeDirectories="../include;../include/BBC;../include/IMG;../include/OBA;../include/LBBC;../../../../../../../OGRE/trunk/ogrenew/OgreMain/include;../../../../../../../OGRE/trunk/ogrenew/Tools/XMLConverter/include;../../../../../../../NonGTP/Boost;../../../../../../../NonGTP/ImageDebugger\include;../../../../../../../NonGTP\FCollada\FUtils;../../../../../../../NonGTP\FCollada\;../../../../../../../NonGTP\FCollada\FMath;../../../../../../../NonGTP\FCollada\FCDocument;../../../../../../../NonGTP\OSceneLoader\include"
 				PreprocessorDefinitions="WIN32;_DEBUG;_CONSOLE"
 				MinimalRebuild="TRUE"
@@ -71,5 +71,5 @@
 			<Tool
 				Name="VCCLCompilerTool"
-				AdditionalIncludeDirectories="../include;../include/OBA;../include/BBC;../include/IMG;../include/LBBC;../../../../../../../OGRE/trunk/ogrenew/OgreMain/include;../../../../../../../OGRE/trunk/ogrenew/Tools/XMLConverter/include;../../../../../../../NonGTP\Boost;../../../../../../../NonGTP\ImageDebugger\include;../../../../../../../NonGTP\FCollada\;../../../../../../../NonGTP\FCollada\FUtils;../../../../../../../NonGTP\FCollada\FMath;../../../../../../../NonGTP\FCollada\FCDocument"
+				AdditionalIncludeDirectories="../include;../include/OBA;../include/BBC;../include/IMG;../include/LBBC;../../../../../../../OGRE/trunk/ogrenew/OgreMain/include;../../../../../../../OGRE/trunk/ogrenew/Tools/XMLConverter/include;../../../../../../../NonGTP\Boost;../../../../../../../NonGTP\ImageDebugger\include;../../../../../../../NonGTP\FCollada\;../../../../../../../NonGTP\FCollada\FUtils;../../../../../../../NonGTP\FCollada\FMath;../../../../../../../NonGTP\FCollada\FCDocument;../../../../../../../NonGTP\OSceneLoader\include"
 				PreprocessorDefinitions="WIN32;NDEBUG;_CONSOLE"
 				RuntimeLibrary="2"