Index: /GTP/trunk/Lib/Illum/IBRBillboardCloudTrees/OGRE/include/BBC/BBCSubEntity.h
===================================================================
--- /GTP/trunk/Lib/Illum/IBRBillboardCloudTrees/OGRE/include/BBC/BBCSubEntity.h	(revision 936)
+++ /GTP/trunk/Lib/Illum/IBRBillboardCloudTrees/OGRE/include/BBC/BBCSubEntity.h	(revision 969)
@@ -56,5 +56,5 @@
 	bool mHasTangents;
 	
-	bool mHasVertexColours;
+	bool mHasVertexColors;
 	
 	bool mHasNormals;
@@ -84,11 +84,11 @@
 	void enableTextureCoords(bool value);
 
-	bool hasVertexColours();
+	bool hasVertexColors();
 
-	void enableVertexColours(bool value);
+	void enableVertexColors(bool value);
 
-	void setVertexColour(unsigned int index, Ogre::RGBA value);
+	void setVertexColor(unsigned int index, Ogre::RGBA value);
 
-	Ogre::RGBA getVertexColour(unsigned int index);
+	Ogre::RGBA getVertexColor(unsigned int index);
 
 	unsigned int getNumTexCoordSets();
Index: /GTP/trunk/Lib/Illum/IBRBillboardCloudTrees/OGRE/doc/devManual/Doxyfile
===================================================================
--- /GTP/trunk/Lib/Illum/IBRBillboardCloudTrees/OGRE/doc/devManual/Doxyfile	(revision 962)
+++ /GTP/trunk/Lib/Illum/IBRBillboardCloudTrees/OGRE/doc/devManual/Doxyfile	(revision 969)
@@ -4,5 +4,5 @@
 # Project related configuration options
 #---------------------------------------------------------------------------
-PROJECT_NAME           = "IBRTree Generator"
+PROJECT_NAME           = "IBR Billboard Cloud Tree Generator"
 PROJECT_NUMBER         = 1.0
 OUTPUT_DIRECTORY       = D:\design_04_11_2005\svn\GTP\trunk\Lib\Illum\IBRBillboardCloudTrees\OGRE\doc\devManual
Index: /GTP/trunk/Lib/Illum/IBRBillboardCloudTrees/OGRE/src/BBCOgreMeshSerializer.cpp
===================================================================
--- /GTP/trunk/Lib/Illum/IBRBillboardCloudTrees/OGRE/src/BBCOgreMeshSerializer.cpp	(revision 731)
+++ /GTP/trunk/Lib/Illum/IBRBillboardCloudTrees/OGRE/src/BBCOgreMeshSerializer.cpp	(revision 969)
@@ -212,5 +212,5 @@
 
 		// Optional vertex colour
-        if(subEntity->hasVertexColours())
+        if(subEntity->hasVertexColors())
         {
             sm->vertexData->vertexDeclaration->addElement(buf, offset, Ogre::VET_COLOUR, Ogre::VES_DIFFUSE);
Index: /GTP/trunk/Lib/Illum/IBRBillboardCloudTrees/OGRE/src/BBCColladaMeshSerializer.cpp
===================================================================
--- /GTP/trunk/Lib/Illum/IBRBillboardCloudTrees/OGRE/src/BBCColladaMeshSerializer.cpp	(revision 958)
+++ /GTP/trunk/Lib/Illum/IBRBillboardCloudTrees/OGRE/src/BBCColladaMeshSerializer.cpp	(revision 969)
@@ -82,5 +82,5 @@
 	void ColladaMeshSerializer::exportSubMesh(MeshPtr pMesh, unsigned int iSubEntity)
 	{
-		bool hasVertexColours = mEntity->getSubEntity(iSubEntity)->hasVertexColours();
+		bool hasVertexColors = mEntity->getSubEntity(iSubEntity)->hasVertexColors();
 		bool hasNormals = mEntity->getSubEntity(iSubEntity)->hasNormals();
 
@@ -100,8 +100,8 @@
 			}
 
-			if (hasVertexColours)
+			if (hasVertexColors)
 			{
 				Ogre::ColourValue color;
-				Ogre::RGBA rc = mEntity->getSubEntity(iSubEntity)->getVertexColour(iVertex);
+				Ogre::RGBA rc = mEntity->getSubEntity(iSubEntity)->getVertexColor(iVertex);
 	
 				color.b = (rc & 0xFF) / 255.0f;		rc >>= 8;
@@ -110,5 +110,5 @@
 				color.a = (rc & 0xFF) / 255.0f;
 
-				//color.setAsARGB(mEntity->getSubEntity(iSubEntity)->getVertexColour(iVertex));
+				//color.setAsARGB(mEntity->getSubEntity(iSubEntity)->getVertexColor(iVertex));
 				mFloatColorList.push_back(color.r);
 				mFloatColorList.push_back(color.g);
@@ -177,5 +177,5 @@
 		}
 		
-		if (hasVertexColours)
+		if (hasVertexColors)
 		{
 			if (iSubEntity == (mEntity->getNumSubEntities() - 1))
Index: /GTP/trunk/Lib/Illum/IBRBillboardCloudTrees/OGRE/src/BBCEntity.cpp
===================================================================
--- /GTP/trunk/Lib/Illum/IBRBillboardCloudTrees/OGRE/src/BBCEntity.cpp	(revision 958)
+++ /GTP/trunk/Lib/Illum/IBRBillboardCloudTrees/OGRE/src/BBCEntity.cpp	(revision 969)
@@ -39,5 +39,5 @@
 	for (unsigned int iSubEntity = 0; iSubEntity < mSubEntityList.size(); iSubEntity++)
 	{
-		mSubEntityList[iSubEntity]->enableVertexColours(true);
+		mSubEntityList[iSubEntity]->enableVertexColors(true);
 		float fRed = Ogre::Math::RangeRandom(0.0,1.0);
 		float fGreen = Ogre::Math::RangeRandom(0.0,1.0);
@@ -46,5 +46,5 @@
 		for (unsigned int iVertex = 0; iVertex < mSubEntityList[iSubEntity]->getNumVertices(); iVertex++)
 		{
-			mSubEntityList[iSubEntity]->setVertexColour(iVertex, subEntityColour.getAsRGBA());
+			mSubEntityList[iSubEntity]->setVertexColor(iVertex, subEntityColour.getAsRGBA());
 		}
 	}
@@ -361,9 +361,9 @@
 						if (!mergeSubMeshes)
 						{
-							this->getSubEntity(i)->setVertexColour(j,colour.getAsARGB());	
+							this->getSubEntity(i)->setVertexColor(j,colour.getAsARGB());	
 						}
 						else
 						{				
-							this->getSubEntity(0)->setVertexColour(j,colour.getAsARGB());
+							this->getSubEntity(0)->setVertexColor(j,colour.getAsARGB());
 						}
 					}
@@ -374,9 +374,9 @@
 				if (!mergeSubMeshes)
 				{
-					this->getSubEntity(i)->enableVertexColours(true);
+					this->getSubEntity(i)->enableVertexColors(true);
 				}
 				else
 				{
-					this->getSubEntity(0)->enableVertexColours(true);
+					this->getSubEntity(0)->enableVertexColors(true);
 				}
 			}
Index: /GTP/trunk/Lib/Illum/IBRBillboardCloudTrees/OGRE/src/BBCBillboardCloudUVMapper.cpp
===================================================================
--- /GTP/trunk/Lib/Illum/IBRBillboardCloudTrees/OGRE/src/BBCBillboardCloudUVMapper.cpp	(revision 821)
+++ /GTP/trunk/Lib/Illum/IBRBillboardCloudTrees/OGRE/src/BBCBillboardCloudUVMapper.cpp	(revision 969)
@@ -186,5 +186,5 @@
 
 		subEntity->addTextureCoordSet(2);
-		subEntity->enableVertexColours(true);
+		subEntity->enableVertexColors(true);
 
 		// Face A
@@ -296,5 +296,5 @@
 					SubEntityPtr subEntity = mBillboardCloud->getEntity()->getSubEntity(0);	
 					subEntity->addTextureCoordSet(2);
-					subEntity->enableVertexColours(true);
+					subEntity->enableVertexColors(true);
 					enabledTextureCoordSet = true;
 				}
Index: /GTP/trunk/Lib/Illum/IBRBillboardCloudTrees/OGRE/src/BBCEntityCluster.cpp
===================================================================
--- /GTP/trunk/Lib/Illum/IBRBillboardCloudTrees/OGRE/src/BBCEntityCluster.cpp	(revision 721)
+++ /GTP/trunk/Lib/Illum/IBRBillboardCloudTrees/OGRE/src/BBCEntityCluster.cpp	(revision 969)
@@ -74,5 +74,5 @@
 	Ogre::Vector3 indicesOffset = Ogre::Vector3::ZERO;
 
-	mEntity->getSubEntity(0)->enableVertexColours(true);
+	mEntity->getSubEntity(0)->enableVertexColors(true);
 
 	float fRed = Ogre::Math::RangeRandom(0.0,1.0);
@@ -92,10 +92,10 @@
 			mEntity->getSubEntity(0)->addFaceVerticesIDs(indices + indicesOffset);
 			
-			mEntity->getSubEntity(0)->enableVertexColours(entity->getSubEntity(0)->hasVertexColours());
+			mEntity->getSubEntity(0)->enableVertexColors(entity->getSubEntity(0)->hasVertexColors());
 			
 			uniqueVertex01.position = entity->getSubEntity(0)->getUniqueVertex(indices[0]).position;
 			uniqueVertex01.normal = entity->getSubEntity(0)->getUniqueVertex(indices[0]).normal;
 			uniqueVertex01.uv[0] = entity->getSubEntity(0)->getUniqueVertex(indices[0]).uv[0];
-			if (mEntity->getSubEntity(0)->hasVertexColours())
+			if (mEntity->getSubEntity(0)->hasVertexColors())
 			{			
                 uniqueVertex01.colour = subEntityColour.getAsRGBA();
@@ -106,5 +106,5 @@
 			uniqueVertex02.normal = entity->getSubEntity(0)->getUniqueVertex(indices[1]).normal;
 			uniqueVertex02.uv[0] = entity->getSubEntity(0)->getUniqueVertex(indices[1]).uv[0];
-			if (mEntity->getSubEntity(0)->hasVertexColours())
+			if (mEntity->getSubEntity(0)->hasVertexColors())
 			{			
                 uniqueVertex02.colour = subEntityColour.getAsRGBA();
@@ -115,5 +115,5 @@
 			uniqueVertex03.normal = entity->getSubEntity(0)->getUniqueVertex(indices[2]).normal;
 			uniqueVertex03.uv[0] = entity->getSubEntity(0)->getUniqueVertex(indices[2]).uv[0];
-			if (mEntity->getSubEntity(0)->hasVertexColours())
+			if (mEntity->getSubEntity(0)->hasVertexColors())
 			{			
                 uniqueVertex03.colour = subEntityColour.getAsRGBA();
Index: /GTP/trunk/Lib/Illum/IBRBillboardCloudTrees/OGRE/src/BBCBillboardCloud.cpp
===================================================================
--- /GTP/trunk/Lib/Illum/IBRBillboardCloudTrees/OGRE/src/BBCBillboardCloud.cpp	(revision 900)
+++ /GTP/trunk/Lib/Illum/IBRBillboardCloudTrees/OGRE/src/BBCBillboardCloud.cpp	(revision 969)
@@ -103,5 +103,5 @@
 				if (!mergeBillboardCloudTexCoordGenerated)
 				{
-					subEntity->enableVertexColours(true);
+					subEntity->enableVertexColors(true);
 
 					mergeBillboardCloudTexCoordGenerated = true;
@@ -126,5 +126,5 @@
 				subEntity = mEntity->getSubEntity(numGeneratedBillboardClouds);
 	
-				subEntity->enableVertexColours(true);
+				subEntity->enableVertexColors(true);
 
 				//Ogre::LogManager::getSingleton().logMessage("BBC-SubEntity(" + Ogre::StringConverter::toString(numGeneratedBillboardClouds) + ") - Num.Tex.Coord.Sets:" + Ogre::StringConverter::toString(subEntity->getNumTexCoordSets()));
@@ -290,5 +290,5 @@
 					}
 
-					subEntityGroup->enableVertexColours(subEntity->hasVertexColours());
+					subEntityGroup->enableVertexColors(subEntity->hasVertexColors());
 
 					unsigned int offset = subEntityGroup->getNumFaces() * 3;
@@ -310,9 +310,9 @@
 					vFaceA3.normal = billboard->getBillboardClusterData()->getNormal();
 
-					if (subEntity->hasVertexColours())
+					if (subEntity->hasVertexColors())
 					{
-						vFaceA1.colour = subEntity->getVertexColour(0);
-						vFaceA2.colour = subEntity->getVertexColour(1);
-						vFaceA3.colour = subEntity->getVertexColour(2);
+						vFaceA1.colour = subEntity->getVertexColor(0);
+						vFaceA2.colour = subEntity->getVertexColor(1);
+						vFaceA3.colour = subEntity->getVertexColor(2);
 					}
 					
@@ -328,9 +328,9 @@
 					vFaceB3.normal = billboard->getBillboardClusterData()->getNormal();
 					
-					if (subEntity->hasVertexColours())
+					if (subEntity->hasVertexColors())
 					{
-						vFaceB1.colour = subEntity->getVertexColour(3);
-						vFaceB2.colour = subEntity->getVertexColour(4);
-						vFaceB3.colour = subEntity->getVertexColour(5);
+						vFaceB1.colour = subEntity->getVertexColor(3);
+						vFaceB2.colour = subEntity->getVertexColor(4);
+						vFaceB3.colour = subEntity->getVertexColor(5);
 					}
 
Index: /GTP/trunk/Lib/Illum/IBRBillboardCloudTrees/OGRE/src/LBBCDiffuseColorPointClusterGenerator.cpp
===================================================================
--- /GTP/trunk/Lib/Illum/IBRBillboardCloudTrees/OGRE/src/LBBCDiffuseColorPointClusterGenerator.cpp	(revision 961)
+++ /GTP/trunk/Lib/Illum/IBRBillboardCloudTrees/OGRE/src/LBBCDiffuseColorPointClusterGenerator.cpp	(revision 969)
@@ -70,5 +70,5 @@
 			mEntity->getSubEntity(numSubEntities)->enableTextureCoords(true);
 			mEntity->getSubEntity(numSubEntities)->addTextureCoordSet(2);
-			mEntity->getSubEntity(numSubEntities)->enableVertexColours(true);
+			mEntity->getSubEntity(numSubEntities)->enableVertexColors(true);
 
 			Ogre::Vector3 p1, p2, p3, p4, pa, pb;
Index: /GTP/trunk/Lib/Illum/IBRBillboardCloudTrees/OGRE/src/BBCSubEntity.cpp
===================================================================
--- /GTP/trunk/Lib/Illum/IBRBillboardCloudTrees/OGRE/src/BBCSubEntity.cpp	(revision 936)
+++ /GTP/trunk/Lib/Illum/IBRBillboardCloudTrees/OGRE/src/BBCSubEntity.cpp	(revision 969)
@@ -7,5 +7,5 @@
 {
 	mHasTangents = false;
-	mHasVertexColours = false;
+	mHasVertexColors = false;
 	mHasNormals = true;
 	mHasTextureCoords = true;
@@ -124,20 +124,20 @@
 }
 
-void SubEntity::enableVertexColours(bool value)
-{
-	mHasVertexColours = value;
-}
-
-bool SubEntity::hasVertexColours()
-{
-	return mHasVertexColours;
-}
-
-void SubEntity::setVertexColour(unsigned int index, Ogre::RGBA value)
+void SubEntity::enableVertexColors(bool value)
+{
+	mHasVertexColors = value;
+}
+
+bool SubEntity::hasVertexColors()
+{
+	return mHasVertexColors;
+}
+
+void SubEntity::setVertexColor(unsigned int index, Ogre::RGBA value)
 {
 	mUniqueVertexList[index].colour = value;
 }
 
-Ogre::RGBA SubEntity::getVertexColour(unsigned int index)
+Ogre::RGBA SubEntity::getVertexColor(unsigned int index)
 {
 	return mUniqueVertexList[index].colour;
Index: /GTP/trunk/Lib/Illum/IBRBillboardCloudTrees/OGRE/src/LBBCManager.cpp
===================================================================
--- /GTP/trunk/Lib/Illum/IBRBillboardCloudTrees/OGRE/src/LBBCManager.cpp	(revision 967)
+++ /GTP/trunk/Lib/Illum/IBRBillboardCloudTrees/OGRE/src/LBBCManager.cpp	(revision 969)
@@ -138,17 +138,17 @@
 			//OBA::OgreBase::getSingleton().getXMLMeshSerializer()->exportMesh(entity->getMesh().get(), mSampleConfigFile->getEntityClustersFolder() + mSampleConfigFile->getEntitiesMeshPrefixName() + "Splitted.mesh" + ".xml");			
 		}
-	}
-
-	if (mSampleConfigFile->getEntityDistributionMerged())
-	{
-		entity->mergeSubEntities();
-		entity->getSubEntity(0)->setMaterialName(mSampleConfigFile->getEntityDistributionMergedMaterialName());
-	
-		mOgreMeshSerializer->setEntity(entity);
-		mOgreMeshSerializer->exportMesh(mSampleConfigFile->getEntityClustersFolder() +
-			mSampleConfigFile->getEntityClustersGroupedMeshName(), false, false);
-		
-		OBA::OgreBase::getSingleton().getMeshSerializer()->exportMesh((Ogre::Mesh*)entity->getMesh().get(), mSampleConfigFile->getEntityDistributionFolder() + mSampleConfigFile->getEntityClustersGroupedMeshName());
-		//OBA::OgreBase::getSingleton().getXMLMeshSerializer()->exportMesh(entity->getMesh(), mSampleConfigFile->getEntityClustersFolder() + mSampleConfigFile->getEntitiesMeshPrefixName() + "Merged.mesh" + ".xml");				
+
+		if (mSampleConfigFile->getEntityDistributionMerged())
+		{
+			entity->mergeSubEntities();
+			entity->getSubEntity(0)->setMaterialName(mSampleConfigFile->getEntityDistributionMergedMaterialName());
+		
+			mOgreMeshSerializer->setEntity(entity);
+			mOgreMeshSerializer->exportMesh(mSampleConfigFile->getEntityClustersFolder() +
+				mSampleConfigFile->getEntityClustersGroupedMeshName(), false, false);
+			
+			OBA::OgreBase::getSingleton().getMeshSerializer()->exportMesh((Ogre::Mesh*)entity->getMesh().get(), mSampleConfigFile->getEntityDistributionFolder() + mSampleConfigFile->getEntityClustersGroupedMeshName());
+			//OBA::OgreBase::getSingleton().getXMLMeshSerializer()->exportMesh(entity->getMesh(), mSampleConfigFile->getEntityClustersFolder() + mSampleConfigFile->getEntitiesMeshPrefixName() + "Merged.mesh" + ".xml");				
+		}
 	}
 }