Index: GTP/trunk/Lib/Geom/shared/GTGeometry/build/Debug/BuildLog.htm
===================================================================
--- GTP/trunk/Lib/Geom/shared/GTGeometry/build/Debug/BuildLog.htm	(revision 985)
+++ GTP/trunk/Lib/Geom/shared/GTGeometry/build/Debug/BuildLog.htm	(revision 986)
@@ -12,5 +12,5 @@
 </pre></table><table width=100% bgcolor=#DFDFE5><tr><td><font face=arial size=+2>
 Líneas de comandos
-</font></table><table width=* cellspacing=0 cellpadding=0><tr><td width=0 bgcolor=#EDEDF5>&nbsp;</td><td width=0 bgcolor=#FFFFFF>&nbsp;</td><td width=*><pre>Creando archivo temporal "h:\Carlos\Gametools\Svn\Gtp\trunk\Lib\Geom\shared\GTGeometry\build\Debug\RSP00007C.rsp" con contenido
+</font></table><table width=* cellspacing=0 cellpadding=0><tr><td width=0 bgcolor=#EDEDF5>&nbsp;</td><td width=0 bgcolor=#FFFFFF>&nbsp;</td><td width=*><pre>Creando archivo temporal "h:\Proyectos\svn\gtp\trunk\lib\geom\shared\GTGeometry\build\Debug\RSP000001.rsp" con contenido
 [
 /Od /I ".\src\libs" /I ".\include" /I ".\src\libs\vmi\include" /D "WIN32" /D "_DEBUG" /D "_LIB" /D "GLEW_STATIC" /D "_MBCS" /Gm /EHsc /RTC1 /MTd /Fo".\build\Debug/" /Fd".\build\Debug/vc70.pdb" /W3 /c /Wp64 /ZI /TP
@@ -70,6 +70,6 @@
 .\src\auxiliar.cpp
 ]
-Creando línea de comandos "cl.exe @h:\Carlos\Gametools\Svn\Gtp\trunk\Lib\Geom\shared\GTGeometry\build\Debug\RSP00007C.rsp /nologo"
-Creando archivo temporal "h:\Carlos\Gametools\Svn\Gtp\trunk\Lib\Geom\shared\GTGeometry\build\Debug\RSP00007D.rsp" con contenido
+Creando línea de comandos "cl.exe @h:\Proyectos\svn\gtp\trunk\lib\geom\shared\GTGeometry\build\Debug\RSP000001.rsp /nologo"
+Creando archivo temporal "h:\Proyectos\svn\gtp\trunk\lib\geom\shared\GTGeometry\build\Debug\RSP000002.rsp" con contenido
 [
 /Od /I ".\src\libs" /I ".\include" /I ".\src\libs\vmi\include" /D "WIN32" /D "_DEBUG" /D "_LIB" /D "GLEW_STATIC" /D "_MBCS" /Gm /EHsc /RTC1 /MTd /Fo".\build\Debug/" /Fd".\build\Debug/vc70.pdb" /W3 /c /Wp64 /ZI /TC
@@ -77,12 +77,12 @@
 .\src\libs\vmi\src\glew.c
 ]
-Creando línea de comandos "cl.exe @h:\Carlos\Gametools\Svn\Gtp\trunk\Lib\Geom\shared\GTGeometry\build\Debug\RSP00007D.rsp /nologo"
-Creando archivo temporal "h:\Carlos\Gametools\Svn\Gtp\trunk\Lib\Geom\shared\GTGeometry\build\Debug\RSP00007E.rsp" con contenido
+Creando línea de comandos "cl.exe @h:\Proyectos\svn\gtp\trunk\lib\geom\shared\GTGeometry\build\Debug\RSP000002.rsp /nologo"
+Creando archivo temporal "h:\Proyectos\svn\gtp\trunk\lib\geom\shared\GTGeometry\build\Debug\RSP000003.rsp" con contenido
 [
 /Od /I ".\src\libs" /I ".\include" /I ".\src\libs\vmi\include" /D "WIN32" /D "_DEBUG" /D "_LIB" /D "GLEW_STATIC" /D "_MBCS" /Gm /EHsc /RTC1 /MTd /Fo".\build\Debug/Hoja1.obj" /Fd".\build\Debug/vc70.pdb" /W3 /c /Wp64 /ZI /TP
 .\src\libs\leaves\Hoja.cpp
 ]
-Creando línea de comandos "cl.exe @h:\Carlos\Gametools\Svn\Gtp\trunk\Lib\Geom\shared\GTGeometry\build\Debug\RSP00007E.rsp /nologo"
-Creando archivo temporal "h:\Carlos\Gametools\Svn\Gtp\trunk\Lib\Geom\shared\GTGeometry\build\Debug\RSP00007F.rsp" con contenido
+Creando línea de comandos "cl.exe @h:\Proyectos\svn\gtp\trunk\lib\geom\shared\GTGeometry\build\Debug\RSP000003.rsp /nologo"
+Creando archivo temporal "h:\Proyectos\svn\gtp\trunk\lib\geom\shared\GTGeometry\build\Debug\RSP000004.rsp" con contenido
 [
 /OUT:".\build\Debug/GTGeometry_d.lib" /NOLOGO
@@ -145,5 +145,5 @@
 .\build\Debug\quadrics.obj
 ]
-Creando línea de comandos "lib.exe @h:\Carlos\Gametools\Svn\Gtp\trunk\Lib\Geom\shared\GTGeometry\build\Debug\RSP00007F.rsp"
+Creando línea de comandos "lib.exe @h:\Proyectos\svn\gtp\trunk\lib\geom\shared\GTGeometry\build\Debug\RSP000004.rsp"
 </pre></table><table width=100% bgcolor=#DFDFE5><tr><td><font face=arial size=+2>
 Ventana de resultados
@@ -218,5 +218,5 @@
 Resultados
 </font></table><table width=* cellspacing=0 cellpadding=0><tr><td width=0 bgcolor=#EDEDF5>&nbsp;</td><td width=0 bgcolor=#FFFFFF>&nbsp;</td><td width=*><pre>
-El registro de generación se guardó en el "file://h:\Carlos\Gametools\Svn\Gtp\trunk\Lib\Geom\shared\GTGeometry\build\Debug\BuildLog.htm"
+El registro de generación se guardó en el "file://h:\Proyectos\svn\gtp\trunk\lib\geom\shared\GTGeometry\build\Debug\BuildLog.htm"
 GTGeometry - 0 error(es), 0 advertencia(s)</pre></table><table   width=100% height=20 bgcolor=#CFCFE5><tr><td><font face=arial size=+2>
 </font></table></body></html>
Index: GTP/trunk/Lib/Geom/shared/GTGeometry/include/GeoMeshSimpSequence.h
===================================================================
--- GTP/trunk/Lib/Geom/shared/GTGeometry/include/GeoMeshSimpSequence.h	(revision 774)
+++ GTP/trunk/Lib/Geom/shared/GTGeometry/include/GeoMeshSimpSequence.h	(revision 986)
@@ -58,5 +58,6 @@
 			};
 
-			char* meshName; // Nombre del mesh para guardar en el fichero de la secuencia de simplificación.
+			// Name of mesh.
+			char* meshName; 
 
 			/// Stores all the simplification steps.
Index: GTP/trunk/Lib/Geom/shared/GTGeometry/src/libs/SimplificationMethod.cpp
===================================================================
--- GTP/trunk/Lib/Geom/shared/GTGeometry/src/libs/SimplificationMethod.cpp	(revision 985)
+++ GTP/trunk/Lib/Geom/shared/GTGeometry/src/libs/SimplificationMethod.cpp	(revision 986)
@@ -26,14 +26,4 @@
 SimplificationMethod::~SimplificationMethod()
 {
-	/*	for (std::vector<qslim::pair_info*>::iterator it=pointers_to_remove.begin(); it!=pointers_to_remove.end(); it++)
-			{
-			if (*it!=NULL)
-			{
-			delete *it;
-	 *it=NULL;
-	 }
-	 }
-	 */
-	
 	delete heap;
 	delete [] first_index_submesh;
@@ -1012,5 +1002,5 @@
 
 	mGeoMesh->mSubMeshCount = objmesh->mSubMeshCount;
-	
+
 	//	Memory allocation for the submeshes.
 	mGeoMesh->mSubMesh = new SubMesh[objmesh->mSubMeshCount];
@@ -1030,5 +1020,5 @@
 	{
 		mGeoMesh->hasSkeleton	=	true;
-		
+
 		strcpy(mGeoMesh->mSkeletonName,objmesh->mSkeletonName);
 	}
@@ -1047,10 +1037,12 @@
 	for (size_t	i = 0;	i < objmesh->mSubMeshCount;	i++)
 	{
-		mGeoMesh->mSubMesh[i].mSharedVertexBuffer	=	false; 
 		mGeoMesh->mSubMesh[i].mStripCount					=	0;
 		mGeoMesh->mSubMesh[i].mStrip							=	NULL;
 
+		mGeoMesh->
+			mSubMesh[i].mSharedVertexBuffer	=	false;
+
 		strcpy(	mGeoMesh->mSubMesh[i].mMaterialName,
-						objmesh->mSubMesh[i].mMaterialName);
+				objmesh->mSubMesh[i].mMaterialName);
 
 		//	Copy submesh bones.
@@ -1060,5 +1052,5 @@
 			{
 				mGeoMesh->mSubMesh[i].mBones.push_back(objmesh->
-																								mSubMesh[i].mBones[j]);
+						mSubMesh[i].mBones[j]);
 			}
 		}
@@ -1069,5 +1061,5 @@
 			mGeoMesh->mSubMesh[i].mIndexCount	=	ver_inds_rep_by_geo[i].size();
 			mGeoMesh->mSubMesh[i].mIndex			=	new Index[mGeoMesh->
-																										mSubMesh[i].mIndexCount];
+				mSubMesh[i].mIndexCount];
 
 			//	Store the indices.
@@ -1104,5 +1096,7 @@
 			mGeoMesh->mSubMesh[i].mVertexBuffer->mTexCoords	=	new Vector2[mGeoMesh->mSubMesh[i].mVertexBuffer->mVertexCount];
 
-			for (MAPAINDIND::iterator mapit = unique_verts_inds_by_geo[i].begin(); mapit != unique_verts_inds_by_geo[i].end(); mapit++)
+			for (	MAPAINDIND::iterator mapit = unique_verts_inds_by_geo[i].begin();
+						mapit != unique_verts_inds_by_geo[i].end();
+						mapit++)
 			{
 				//	Key and value.
@@ -1133,5 +1127,5 @@
 
 			//	Copy the leaves submesh indexes.
-			for (unsigned int j=0; j<mGeoMesh->mSubMesh[i].mIndexCount; j++) 
+			for (unsigned int j=0; j<mGeoMesh->mSubMesh[i].mIndexCount; j++)
 			{	
 				mGeoMesh->mSubMesh[i].mIndex[j]=objmesh->mSubMesh[i].mIndex[j];
@@ -1147,8 +1141,8 @@
 			mGeoMesh->mSubMesh[i].mVertexBuffer->mNormal=new Vector3[mGeoMesh->mSubMesh[i].mVertexBuffer->mVertexCount];
 			mGeoMesh->mSubMesh[i].mVertexBuffer->mTexCoords=new Vector2[mGeoMesh->mSubMesh[i].mVertexBuffer->mVertexCount];
-			
+
 			for (	unsigned int j = 0;
-						j < mGeoMesh->mSubMesh[i].mVertexBuffer->mVertexCount;
-						j++)
+					j < mGeoMesh->mSubMesh[i].mVertexBuffer->mVertexCount;
+					j++)
 			{
 				//	Position.
@@ -1175,5 +1169,5 @@
 	//	Store the simplification steps in MeshSimplificationSequence.
 	int acum	=	0;
-	
+
 	for (size_t i	=	0; i < objmesh->mSubMeshCount; i++)
 	{
@@ -1186,12 +1180,12 @@
 			first_index_submesh[i]	=	acum;
 		}
-		
+
 		acum	+=	(int)objmesh->mSubMesh[i].mVertexBuffer->mVertexCount;
 	}
-	
+
 	MeshSimplificationSequence::Step stepaux, newstep;
 	vector<int> v0,v1,submesh0,submesh1;
 	MeshSimplificationSequence *msimpseq;
-	
+
 	msimpseq	=	new MeshSimplificationSequence();
 
@@ -1203,5 +1197,5 @@
 		v1				=	vertexbuffermap[stepaux.mV1];
 		submesh1	=	submeshmap[stepaux.mV1];
-		
+
 		for (unsigned j = 0;	j < v0.size();	j++)
 		{
@@ -1215,10 +1209,10 @@
 				newstep.y		=	stepaux.y;
 				newstep.z		=	stepaux.z;
-				
+
 				// mT0 y mT1 are unique triangles identifiers
 				// returned by the simplification method
 				newstep.mT0	=	stepaux.mT0;
 				newstep.mT1	=	stepaux.mT1;
-				
+
 				if (j == v0.size() - 1 && k == v1.size() - 1)
 				{
@@ -1229,5 +1223,5 @@
 					newstep.obligatorio	=	1;
 				}
-				
+
 				if (j == 0 && k == 0)
 				{
@@ -1240,5 +1234,5 @@
 				{
 					std::vector<Index>	vvacio;
-					
+
 					newstep.mModfaces	=	vvacio;
 				}
Index: GTP/trunk/Lib/Geom/shared/GTGeometry/src/GeoMesh.cpp
===================================================================
--- GTP/trunk/Lib/Geom/shared/GTGeometry/src/GeoMesh.cpp	(revision 985)
+++ GTP/trunk/Lib/Geom/shared/GTGeometry/src/GeoMesh.cpp	(revision 986)
@@ -379,5 +379,4 @@
 Mesh *Mesh::toSharedVertex() 
 {
-
 	// Move all vertex to the shared vertex buffer.
 	Mesh *mesh = new Mesh();
@@ -500,4 +499,31 @@
 		
 		acumVerts	+=	long(mSubMesh[i].mVertexBuffer->mVertexCount);
+
+		//	Copy submesh bones.
+		if (!mSubMesh[i].mBones.empty())
+		{
+			for (unsigned int j = 0; j < mSubMesh[i].mBones.size(); j++)
+			{
+				mesh->mSubMesh[i].mBones.push_back(mSubMesh[i].mBones[j]);
+			}
+		}
+
+	}
+
+	//	Copy skeleton name.
+	if (hasSkeleton)
+	{
+		mesh->hasSkeleton	=	true;
+		
+		strcpy(mesh->mSkeletonName,mSkeletonName);
+	}
+
+	//	Copy mesh bones.
+	if (!mBones.empty())
+	{
+		for (unsigned int j = 0; j < mBones.size(); j++)
+		{
+			mesh->mBones.push_back(mBones[j]);
+		}
 	}
 
Index: GTP/trunk/Lib/Geom/shared/GTGeometry/src/GeoMeshStripifier.cpp
===================================================================
--- GTP/trunk/Lib/Geom/shared/GTGeometry/src/GeoMeshStripifier.cpp	(revision 985)
+++ GTP/trunk/Lib/Geom/shared/GTGeometry/src/GeoMeshStripifier.cpp	(revision 986)
@@ -8448,6 +8448,7 @@
 			{
 				v_indices								=		mi_vector[i];
-				geoSubMesh->mIndexCount	+=	v_indices.size() + 2;
-
+				geoSubMesh->mIndexCount	+=	v_indices.size() /*+ 2*/;
+
+				/*
 				//	Insert a new vertex if the strip es odd.
 				if(oddStrip)
@@ -8465,4 +8466,5 @@
 					oddStrip	=	FALSE;
 				}
+				*/
 			}
 
@@ -8497,5 +8499,5 @@
 			//-----------------------
 
-
+			/*
 			//	Number of vertices of a strip odd or even.
 			if(v_indices.size() % 2)
@@ -8507,12 +8509,16 @@
 				oddStrip	=	FALSE;
 			}
+			*/
 
 			//	Para todas las tiras menos la primera.
-			for(i	=	2;i <= num_tiras;i++)
+			for(i	=	2;	i <= num_tiras;	i++)
 			{
+				
 				/*	copia en el inicio de la tira el final de la anterior.
 						triangulos degenerados.	*/
+				/*
 				geoSubMesh->mIndex[totalStripIndices++]	=	geoSubMesh->
 					mIndex[totalStripIndices-1];
+				*/
 
 				v_indices								=	mi_vector[i];
@@ -8523,4 +8529,5 @@
 						triangulos degenerados.
 						*/
+				
 				geoSubMesh->mIndex[totalStripIndices++]	=	v_indices[0];
 
@@ -8529,6 +8536,7 @@
 
 				//	Triangulo Degenerado.
-				geoSubMesh->mIndex[totalStripIndices++]	=	v_indices[0];
-
+				//geoSubMesh->mIndex[totalStripIndices++]	=	v_indices[0];
+
+				/*
 				//	Insert a new vertex if the strip es odd.
 				if(oddStrip)
@@ -8547,5 +8555,6 @@
 					oddStrip	=	FALSE;
 				}
-
+				*/
+				
 				//	Copia la tira en curso en el array de indices.
 				for(j=1;j<v_indices.size();j++)